
Ruby - Bug #6974

Functionality Loss in Bignum for Very Large Numbers (5.9 million digits)

09/04/2012 11:59 AM - jks (john sikora)

Status: Closed   

Priority: Normal   

Assignee: mrkn (Kenta Murata)   

Target version:    

ruby -v: ruby 1.9.3p194 (2012-04-20)

[i386-mingw32]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

UNKNOWN

Description

The 'run' program for hwm = 10 runs fine in 1.9.2 (ruby 1.9.2p290 (2011-07-09) [i386-mingw32]) but it goes awry at coefficient 526 for

1.9.3. The numerator and denominator are correct so I suspect Bignum and not BigDecimal (the 'check' program checks this). Note

that each run takes about 3 hours on my computer for hwm = 10. Both 1.9.2 and 1.9.3 work for hwm = 5 to 9 (in much less time).

Related issues:

Related to Ruby - Bug #7242: Bignum mathematical accuracy regression in r31695 Closed 10/30/2012

History

#1 - 11/04/2012 12:24 PM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to mrkn (Kenta Murata)

Mrkn, could you check this too?

Maybe the same causes as #7242.

--

Yusuke Endoh mame@tsg.ne.jp

#2 - 02/26/2013 10:19 AM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.6

#3 - 12/25/2017 06:15 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)

#4 - 08/05/2019 11:22 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed

Files

cn_ruby_sc_1r9r3_bug_hwm_10_run.rb 4.2 KB 09/04/2012 jks (john sikora)

cn_ruby_sc_1r9r3_bug_hwm_10_check.rb 935 Bytes 09/04/2012 jks (john sikora)
